com.holonplatform.jaxrs.client.internal

## Class JaxrsClientAsyncRestClient

- java.lang.Object
- - com.holonplatform.async.http.internal.AbstractAsyncRestClient
  - - com.holonplatform.jaxrs.client.internal.JaxrsClientAsyncRestClient

- All Implemented Interfaces:
    com.holonplatform.async.http.AsyncRestClient, com.holonplatform.async.http.internal.AsyncInvoker, com.holonplatform.http.rest.RestClientOperations<com.holonplatform.async.http.AsyncRestClient,com.holonplatform.async.http.AsyncRestClient.AsyncRequestDefinition>, JaxrsAsyncRestClient

      public class JaxrsClientAsyncRestClient
      extends com.holonplatform.async.http.internal.AbstractAsyncRestClient
      implements JaxrsAsyncRestClient

  Default JAX-RS `AsyncRestClient` implementation.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.async.http.AsyncRestClient

      `com.holonplatform.async.http.AsyncRestClient.AsyncInvocation, com.holonplatform.async.http.AsyncRestClient.AsyncRequestDefinition`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.http.rest.RestClientOperations

      `com.holonplatform.http.rest.RestClientOperations.InvocationOperations<RE,RP,RS,RL,RU>, com.holonplatform.http.rest.RestClientOperations.RequestConfiguration<R extends com.holonplatform.http.rest.RestClientOperations.RequestConfiguration<R>>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaxrsClientAsyncRestClient(javax.ws.rs.client.Client client)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.client.Client` | `getClient()` Get the JAX-RS Client bound to this `AsyncRestClient`.
    `<T,R> CompletionStage<com.holonplatform.http.rest.ResponseEntity<T>>` | `invoke(com.holonplatform.async.http.AsyncRestClient.AsyncRequestDefinition requestDefinition, com.holonplatform.http.HttpMethod method, com.holonplatform.http.rest.RequestEntity<R> requestEntity, com.holonplatform.http.rest.ResponseType<T> responseType, boolean onlySuccessfulStatusCode)`

    - ### Methods inherited from class com.holonplatform.async.http.internal.AbstractAsyncRestClient

      `clearDefaultHeaders, defaultTarget, getDefaultTarget, removeDefaultHeader, request, withDefaultHeader`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.jaxrs.client.JaxrsAsyncRestClient

      `create, create`

    - ### Methods inherited from interface com.holonplatform.async.http.AsyncRestClient

      `create, create, create, forTarget, forTarget`

    - ### Methods inherited from interface com.holonplatform.http.rest.RestClientOperations

      `clearDefaultHeaders, defaultTarget, getDefaultTarget, removeDefaultHeader, request, withDefaultHeader`

- - ### Constructor Detail

    - #### JaxrsClientAsyncRestClient

          public JaxrsClientAsyncRestClient(javax.ws.rs.client.Client client)

      Constructor
      Parameters:
        `client` - Jax-rs client

  - ### Method Detail

    - #### getClient

          public javax.ws.rs.client.Client getClient()

      Description copied from interface: `JaxrsAsyncRestClient`
      Get the JAX-RS Client bound to this `AsyncRestClient`.
      Specified by:
        `getClient` in interface `JaxrsAsyncRestClient`
      Returns:
        the JAX-RS Client

    - #### invoke

          public <T,R> CompletionStage<com.holonplatform.http.rest.ResponseEntity<T>> invoke(com.holonplatform.async.http.AsyncRestClient.AsyncRequestDefinition requestDefinition,
                                                                                             com.holonplatform.http.HttpMethod method,
                                                                                             com.holonplatform.http.rest.RequestEntity<R> requestEntity,
                                                                                             com.holonplatform.http.rest.ResponseType<T> responseType,
                                                                                             boolean onlySuccessfulStatusCode)

      Specified by:
        `invoke` in interface `com.holonplatform.async.http.internal.AsyncInvoker`

Copyright © 2019 The Holon Platform. All rights reserved.